<?php 
require_once "../modelos/Persona.php";

$persona=new Persona();

$idpersona					=isset($_POST["idpersona1"])? limpiarCadena($_POST["idpersona1"]):"";
$tipo_persona				=isset($_POST["tipo_persona1"])? limpiarCadena($_POST["tipo_persona1"]):"";
$nombre							=isset($_POST["nombre1"])? limpiarCadena($_POST["nombre1"]):"";
$tipo_documento			=isset($_POST["tipo_documento1"])? limpiarCadena($_POST["tipo_documento1"]):"";
$num_documento			=isset($_POST["num_documento1"])? limpiarCadena($_POST["num_documento1"]):"";
$direccion					=isset($_POST["direccion1"])? limpiarCadena($_POST["direccion1"]):"";
$telefono						=isset($_POST["telefono1"])? limpiarCadena($_POST["telefono1"]):"";
$email							=isset($_POST["email1"])? limpiarCadena($_POST["email1"]):"";
$nombred[]					=$nombre;
$tipo_documentod[]	=$tipo_documento;
$num_documentod[]		=$num_documento;
$direcciond[]				=$direccion;
$telefonod[]				=$telefono;
$emaild[]						=$email;
$licencia_licord[]	="N/A";
$cproveedor[]				="N/A";


switch ($_GET["op"]) {
	case 'guardaryeditar':
	//($tipo_persona,$nombre,$tipo_documento,$num_documento,$direccion,$telefono,$email,$licencia_licor,$contribuyente,$nombred,$tipo_documentod,$num_documentod,$direcciond,$telefonod,$emaild,$licencia_licord,$resenaendollar,$idlistaprecio	
	//insertarclienteYdespacho($tipo_persona,$nombre,$nombref,$tipo_documento,$num_documento,$direccion,$telefono,$email,$licencia_licor,$contribuyente,$idzona,$nombred,$tipo_documentod,$num_documentod,$direcciond,$telefonod,$emaild,$licencia_licord,$cproveedor,$resenaendollar,$idlistaprecio,$idvendedor,$idestado)
	if (empty($idpersona)) {
	 //insertarclienteYdespacho($tipo_persona,$nombre,$nombref,$tipo_documento,$num_documento,$direccion,$telefono,$email,$licencia_licor,$contribuyente,$idzona,$nombred,$tipo_documentod,$num_documentod,$direcciond,$telefonod,$emaild,$licencia_licord,$cproveedor,$resenaendollar,$idlistaprecio,$idvendedor,$idestado)
	//                                         $tipo_persona,$nombre,$nombref,$tipo_documento,$num_documento,$direccion,$telefono,$email,$licencia_licor,$contribuyente,$idzona,$nombred,$tipo_documentod,$num_documentod,$direcciond,$telefonod,$emaild,$licencia_licord,$cproveedor,$resenaendollar,$idlistaprecio,$idvendedor,$idestado,$idusuario	
	 $rspta=$persona->insertarclienteYdespacho($tipo_persona,$nombre,$nombre,$tipo_documento,$num_documento,$direccion,$telefono,$email,"N/A","n","1",$nombred,$tipo_documentod,$num_documentod,$direcciond,$telefonod,$emaild,$licencia_licord,$cproveedor,"no","1","1","1","1");
		echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
	}else{
         $rspta=$persona->editarclienteYdespacho($idpersona,$tipo_persona,$nombre,$nombref,$tipo_documento,$num_documento,$direccion,$telefono,$email,$licencia_licor,$contribuyente,$idzona,$nombred,$tipo_documentod,$num_documentod,$direcciond,$telefonod,$emaild,$licencia_licord,$idclientedespacho,$despachoeliminar,$cproveedor,$resenaendollar,$idlistaprecio,$idvendedor,$idestado,$idusuario,$fecha_hora);
		echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
	}
		break;
	

	case 'eliminar':
		$rspta=$persona->eliminar($idpersona);
		echo $rspta ? "Datos eliminados correctamente" : "No se pudo eliminar los datos";
		break;
	
	case 'mostrar':
		$rspta=$persona->mostrar($idpersona);
		echo json_encode($rspta);
		break;

			
	case 'buscarcliente':
		$rspta=$persona->buscarcliente($tipo_documento,$num_documento);
		echo json_encode($rspta);
	break;
	
	case 'buscarproveedor':
		$rspta=$persona->buscarproveedor($tipo_documento,$num_documento);
		echo json_encode($rspta);
	break;

    case 'listarp':
		$rspta=$persona->listarp();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
            "0"=>'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idpersona.')"><i class="fa fa-pencil"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="eliminar('.$reg->idpersona.')"><i class="fa fa-trash"></i></button>',
            "1"=>$reg->nombre,
            "2"=>$reg->tipo_documento,
            "3"=>$reg->num_documento,
            "4"=>$reg->telefono,
            "5"=>$reg->email
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
		break;

		  case 'listarc':
		$rspta=$persona->listarc();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
            "0"=>'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idpersona.')"><i class="fa fa-pencil"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="eliminar('.$reg->idpersona.')"><i class="fa fa-trash"></i></button>',
            "1"=>$reg->nombre,
            "2"=>$reg->tipo_documento,
            "3"=>$reg->num_documento,
            "4"=>$reg->telefono,
            "5"=>$reg->email
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
		break;
}
 ?>